# ENVIRONMENT VARIABLES
apiVersion: v1
kind: ConfigMap
metadata:
  namespace: #set-a-namespace
  name: main-backend
data:
  MAIN_BACKEND_SERVER_PORT: "4000"
---
# ENVIRONMENT VARIABLES BASE64-ENCODED
apiVersion: v1
kind: Secret
metadata:
  namespace: #set-a-namespace
  name:  main-backend-db
data:
  DB_USER: bWFpbkFkbWluaXN0cmF0b3I=   
  DB_PASSWORD: QWRtaW5QYXNzTWFpbg==   
  DB_NAME: TWFpbg==                   
  DB_HOST: bWFpbi1kYg==               
  DB_PORT: NTQzMg==
---
# DEPLOYMENT
apiVersion: apps/v1
kind: Deployment
metadata:
  namespace:
  name: main-backend
spec:
  replicas: 1
  selector:
    matchLabels:
      pod: main-backend
  template:
    metadata:
      labels:
        pod: main-backend
    spec:
      #imagePullSecrets:
        #- name: # SET docker-hub-credentials-main-backend
      containers:
        - name:  main-backend
          image: gcr.io/decoded-agency-377106/my-ecosystem-mainbackend:1.0
          # imagePullPolicy: Always
          envFrom:
          - secretRef:
              name: main-backend-auth
          - configMapRef:
              name: main-backend
          - secretRef:
              name: main-backend-db
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
          - labelSelector:
              matchExpressions:
              - key: pod
                operator: In
                values:
                - main-backend
            topologyKey: "kubernetes.io/hostname"
